<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <parent>
    <artifactId>railway</artifactId>
    <groupId>com.railway</groupId>
    <version>1.0.0</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>

  <artifactId>railway-business</artifactId>
  <dependencies>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-tx</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-context</artifactId>
    </dependency>
    <dependency>
      <groupId>org.projectlombok</groupId>
      <artifactId>lombok</artifactId>
    </dependency>
    <dependency>
      <groupId>com.railway</groupId>
      <artifactId>railway-common</artifactId>
    </dependency>
    <dependency>
      <groupId>org.hibernate.validator</groupId>
      <artifactId>hibernate-validator</artifactId>
    </dependency>
    <dependency>
      <groupId>io.swagger</groupId>
      <artifactId>swagger-annotations</artifactId>
    </dependency>

    <!-- 个推 -->
    <dependency>
      <groupId>com.gexin.platform</groupId>
      <artifactId>gexin-rp-sdk-http</artifactId>
      <version>${getui-http.version}</version>
      <scope>system</scope>
      <systemPath>${project.basedir}/src/main/resources/lib/gexin-rp-sdk-http-4.1.2.1.jar</systemPath>
      <exclusions>
        <exclusion>
          <groupId>com.gexin.platform</groupId>
          <artifactId>gexin-rp-sdk-template</artifactId>
        </exclusion>
        <exclusion>
          <groupId>com.gexin.platform</groupId>
          <artifactId>gexin-rp-sdk-base</artifactId>
        </exclusion>
        <exclusion>
          <groupId>com.gexin.platform</groupId>
          <artifactId>gexin-rp-fastjson</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>com.gexin.platform</groupId>
      <artifactId>gexin-rp-sdk-base</artifactId>
      <version>${getui-base.version}</version>
      <scope>system</scope>
      <systemPath>${project.basedir}/src/main/resources/lib/gexin-rp-sdk-base-4.0.0.38.jar</systemPath>
    </dependency>
    <dependency>
      <groupId>com.gexin.platform</groupId>
      <artifactId>gexin-rp-sdk-template</artifactId>
      <version>${getui-template.version}</version>
      <scope>system</scope>
      <systemPath>${project.basedir}/src/main/resources/lib/gexin-rp-sdk-template-4.0.0.31.jar</systemPath>
    </dependency>
    <dependency>
      <groupId>com.gexin.platform</groupId>
      <artifactId>gexin-rp-fastjson</artifactId>
      <version>${getui-fastjson.version}</version>
      <scope>system</scope>
      <systemPath>${project.basedir}/src/main/resources/lib/gexin-rp-fastjson-1.0.0.7.jar</systemPath>
    </dependency>
    <dependency>
      <groupId>com.google.protobuf</groupId>
      <artifactId>protobuf-java</artifactId>
      <version>${getui-fastjson.version}</version>
      <scope>system</scope>
      <systemPath>${project.basedir}/src/main/resources/lib/protobuf-java-3.19.1.jar</systemPath>
    </dependency>

    <dependency>
      <groupId>com.railway</groupId>
      <artifactId>railway-system</artifactId>
    </dependency>
    <dependency>
      <groupId>com.railway</groupId>
      <artifactId>railway-framework</artifactId>
    </dependency>
  </dependencies>

  <properties>
    <maven.compiler.source>8</maven.compiler.source>
    <maven.compiler.target>8</maven.compiler.target>
  </properties>

</project>